Page MenuHomePhabricator

[libc++][doc] Update the release notes
ClosedPublic

Authored by Mordante on Jan 22 2021, 10:28 AM.

Details

Summary

I had a look at the changes since the last release and updated the release notes with interesting changes.

If there are more interesting changes, please let me know and I'll update the patch. I'd like to commit these changes before branching the 12.0 release. Branching is planned for the 26th of January.

I've added most active libc++ contributors. If I forgot anybody please add them.

Diff Detail

Event Timeline

Mordante requested review of this revision.Jan 22 2021, 10:28 AM
Mordante created this revision.
Herald added a reviewer: Restricted Project. · View Herald TranscriptJan 22 2021, 10:28 AM

Thanks a lot for doing this! This is great - historically we haven't been very good at communicating what we've done in libc++ from one release to another, but this is much better.

libcxx/docs/ReleaseNotes.rst
40

We also added support for systems without a random device. It can be disabled with -DLIBCXX_ENABLE_RANDOM_DEVICE=OFF.

tschuett added inline comments.
libcxx/docs/ReleaseNotes.rst
49–50

modernized? look much better now is like opinion?

tschuett added inline comments.Jan 22 2021, 10:37 AM
libcxx/docs/ReleaseNotes.rst
52

significant?

Mordante added inline comments.Jan 22 2021, 11:33 AM
libcxx/docs/ReleaseNotes.rst
40

Thanks! I'll add this information.

49–50

Good point, I'll change the wording.

52

I've been doubting that myself. But if felt a bit empty without being able to mention some concrete improvement. However I don't object against removing it.

Do what ever you want, but a lot sounds a bit cheap. Or give some concrete examples?

Do what ever you want, but a lot sounds a bit cheap. Or give some concrete examples?

Good point. I'll update the wording and include headers that have been modified.

Maybe you could the same for the status page? It was changed from XXX to YYY? It is claiming success without giving numbers.

Quuxplusone added inline comments.Jan 22 2021, 11:59 AM
libcxx/docs/ReleaseNotes.rst
52

One way to make this wording correct would be to ship D93512 D93557 D93661. ;)

Mordante marked 4 inline comments as done.Jan 24 2021, 4:13 AM
Mordante added inline comments.
libcxx/docs/ReleaseNotes.rst
52

I had a look and it seems finding the headers which are complete finished with the constexpr changes is a bit tricky. I thought <algorithm> was done after P0202. However the revisions @Quuxplusone mentions also affect <algorithm> and are part of P0879. So now I prefer to omit the constexpr part. A number of papers have been done, but I didn't see a lot that can be easily communicated to users of libc++, unless using terms like "a lot".

Mordante updated this revision to Diff 318825.Jan 24 2021, 4:17 AM
Mordante marked an inline comment as done.

Addresses review comments.
Updates C++2b status on the index page.

tschuett added inline comments.Jan 24 2021, 4:20 AM
libcxx/docs/ReleaseNotes.rst
56

instead of html

Mordante marked an inline comment as done.Jan 24 2021, 5:26 AM
Mordante added inline comments.
libcxx/docs/ReleaseNotes.rst
56

Good catch, thanks.

Mordante updated this revision to Diff 318838.Jan 24 2021, 5:27 AM
Mordante marked an inline comment as done.

Fixes a grammar error found by @tschuett.

curdeius added inline comments.Jan 25 2021, 1:33 AM
libcxx/docs/ReleaseNotes.rst
49

Nit: double space after "e.g.".

58–59

Maybe note that libc++ is built using -std=c++20 when available (i.e. it's not required and CMake will fall back to c++17, previously c++17 was required)?

Mordante marked 2 inline comments as done.Jan 25 2021, 8:29 AM
Mordante added inline comments.
libcxx/docs/ReleaseNotes.rst
49

Thanks will fix.

58–59

I think it would be good to mention this. Thanks!

Mordante updated this revision to Diff 319029.Jan 25 2021, 8:44 AM
Mordante marked 2 inline comments as done.

Addresses @curdeius' review comments.

@ldionne All review comments have been addressed, can you have a final look?

ldionne accepted this revision.Jan 25 2021, 9:12 AM

Thanks a lot! This looks good.

This revision is now accepted and ready to land.Jan 25 2021, 9:12 AM

You're welcome. Thanks again for everybody's input.

This revision was automatically updated to reflect the committed changes.